#!/bin/bash
A=$(docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' party0)
B=$(docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' party1)
#C=$(docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' party2)
echo $A
echo $B
docker exec -w /root/duoram/2p-preprocessing party1 ./OT $A $B 1 128 &
echo "P1 launched"
sleep 1
docker exec -w /root/duoram/2p-preprocessing party0 ./OT $A $B 0 128 &
echo "P0 launched"
wait